# generated by cabal-rpm-0.10.0
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name cprng-aes

Name:           ghc-%{pkg_name}
Version:        0.6.1
Release:        3%{?dist}
Summary:        Crypto Pseudo Random Number Generator using AES in counter mode

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-byteable-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cipher-aes-devel
BuildRequires:  ghc-crypto-random-devel
# End cabal-rpm deps

%description
Simple crypto pseudo-random-number-generator with really good randomness
property.

Using ent, a randomness property maker on one 1Mb sample: Entropy = 7.999837
bits per byte. Optimum compression would reduce the size of this 1048576 byte
file by 0 percent. Chi square distribution for 1048576 samples is 237.02
Arithmetic mean value of data bytes is 127.3422 (127.5 = random) Monte Carlo
value for Pi is 3.143589568 (error 0.06 percent)

Compared to urandom with the same sampling: Entropy = 7.999831 bits per byte.
Optimum compression would reduce the size of this 1048576 byte file by 0
percent. Chi square distribution for 1048576 samples is 246.63 Arithmetic mean
value of data bytes is 127.6347 (127.5 = random). Monte Carlo value for Pi is
3.132465868 (error 0.29 percent).


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

rm %{buildroot}%{_datadir}/%{pkg_name}-%{version}/README.md


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE
%{_datadir}/%{pkg_name}-%{version}


%files devel -f %{name}-devel.files
%doc README.md


%changelog
* Fri Jul 21 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.6.1-3
- Bump for Fedora 26.

* Thu Dec 15 2016 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.6.1-2
- Update release to be newer than previous builds

* Thu Dec 15 2016 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.6.1-1
- spec file generated by cabal-rpm-0.10.0
